
if( SERVER ) then
   
 	AddCSLuaFile( "shared.lua" ) 
 	SWEP.HoldType = "pistol";
 
 end 

 
 SWEP.Base = "ts2_base";
   
 SWEP.Spawnable			= false 
 SWEP.AdminSpawnable		= false 
   
SWEP.ViewModel			= "models/weapons/v_shotgun.mdl"
SWEP.WorldModel			= "models/weapons/w_shotgun.mdl"
SWEP.Primary.Sound			= Sound( "Weapon_Shotgun.Single" )

SWEP.PrintName = "SPAS 12 Shotgun";
SWEP.TS2Desc = "12 guage buckshot";


SWEP.ShotgunReload = true;

 SWEP.Primary.Recoil			= .1
 SWEP.Primary.RecoilAdd			= 0
 SWEP.Primary.RecoilMin = .1
 SWEP.Primary.RecoilMax = 3
 
 SWEP.Primary.ViewPunchMul = 70;
 SWEP.Primary.Damage			= 3
 SWEP.Primary.NumShots		= 9 
 
 SWEP.TS2HoldType = "RIFLE";

SWEP.Primary.DoorBreach = true;
SWEP.Primary.HighPowered = true;
SWEP.Primary.ClipSize = 6;
SWEP.Primary.DefaultClip = 0;
SWEP.Primary.Ammo = "smg1";
SWEP.Primary.Delay = 1;
SWEP.Primary.Automatic = false;
SWEP.Primary.SpreadCone = Vector( .05, .05, .05 );

 SWEP.Primary.IronSightPos = Vector( -9.0, 4.0, -5.0 );
 SWEP.Primary.IronSightAng = Vector( -.5, -1.0, 0.0 );

SWEP.Primary.HolsteredPos = Vector( 10.8, -5.0, -2.0 );
SWEP.Primary.HolsteredAng = Vector( -5.0, 50.0, 0.0 );

 SWEP.ItemWidth = 3;
 SWEP.ItemHeight = 1;


SWEP.IconCamPos = Vector( 8, 58, 50 ) 
SWEP.IconLookAt = Vector( 1, 0, 0 ) 
SWEP.IconFOV = 12

SWEP.Price = 850
   